%define drakxtools_required_version  10.4.90-1mdv2007.0
%define drakxtools_conflicted_version  10.4.89

%define libname %mklibname %{name}

Summary:  3D desktop effects tools
Name:     drak3d
Version:  1.2
Release:  %mkrel 1
Source0:  %name-%version.tar.bz2
License:  GPL
Group:    System/Configuration/Hardware
Url:      http://wiki.mandriva.com/en/Docs/Desktop/Accelerated_Desktop
BuildRequires: perl-MDK-Common-devel gettext
Requires: drakxtools-backend => %drakxtools_required_version
BuildRoot: %_tmppath/%name-%version-buildroot
# for program:
Conflicts: drakxtools <= %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version
BuildArch: noarch

%description
Drak3d enables to configure 3D desktop effects.

%prep
%setup -q

%build
%make

%install
rm -fr %{buildroot}
%makeinstall_std

#install lang
%find_lang %name

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d

cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/29drak3d <<EOF
NAME=drak3d
ICON=drak3d.png
EXEC=/usr/sbin/drak3d
DESC=3D Desktop effects configuration
SCRIPT:
exec /usr/sbin/drak3d
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_sbindir}/*
/usr/lib/libDrakX/icons/*
%{_sysconfdir}/X11/wmsession.d/29drak3d
/usr/lib/libDrakX/Xconfig/glx.pm


%changelog
* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.1
+ Revision: 150099
- 1.2: install aquamarine for KDE and heliodor for Gnome when beryl is selected

* Wed Mar 28 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2007.1
+ Revision: 149282
- 1.1: fix server selection

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2007.1
+ Revision: 148673
- 1.0
- update URL

* Sat Mar 10 2007 Olivier Blin <oblin@mandriva.com> 0.9-2mdv2007.1
+ Revision: 140950
- disable warnings (by not forgetting to run make like Titi did :-p)

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2007.1
+ Revision: 134817
- 0.9 (compiz-decorator-kde support and UI fixes)

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2007.1
+ Revision: 133848
- 0.8

* Fri Mar 02 2007 Olivier Blin <oblin@mandriva.com> 0.7-2mdv2007.1
+ Revision: 131085
- fix group (#29046)

* Wed Feb 28 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.1
+ Revision: 129307
- 0.7
- cosmetics

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6-2mdv2007.1
+ Revision: 110908
- relax requires on drakxtools; we don't need gtk+ and the like

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6-1mdv2007.1
+ Revision: 110898
- do use translations

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 110740
- drak3d is splited in its own package
- add buildrequires
- Import drak3d

